package com.xsnb.system.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.xsnb.common.domain.User;
import com.xsnb.common.result.Result;
import com.xsnb.system.domain.Mail;
import com.xsnb.system.mapper.MailMapper;
import com.xsnb.system.service.MailService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * FileName: MailServiceImpl
 * Author: 张海宁
 * Date:   2024/3/4 14:18
 * Description:
 * History:
 * <author>      <time>     <version>     <desc>
 * 作者姓名       修改时间      版本号         描述
 */
@Service
@Log4j2
public class MailServiceImpl implements MailService {
    @Autowired
    MailMapper mapper;



    /**
     * @param user
     * @return
     */
    @Override
    public Result<List<Mail>> allListMail(User user) {
        QueryWrapper<Mail> qw = new QueryWrapper<>();
        qw.eq("user_id", user.getId());
        List<Mail> mailList = mapper.selectList(qw);
        log.info("查询邮件的结果:{}",mailList);
        return Result.success(mailList);
    }

    /**
     * @param mail
     * @return
     */
    @Override
    public Result<Mail> deleteMail(Mail mail) {

        return null;
    }

    /**
     * @param mail
     * @return
     */
    @Override
    public Result<Mail> addMail(Mail mail) {
        log.info("添加邮件的数据:{}",mail);
        //获取当前时间转换为Date类型
        mail.setSendTime(new Date());
        mail.setEmailStatus("未读");
        //存入数据库
        int insert = mapper.insert(mail);
        log.info("添加邮件的结果:{}",insert);


        return insert==1?Result.success(mail,"发送成功"):Result.error("发送失败");
    }

}
